> For the complete documentation index, see [llms.txt](/llms.txt).

# Create introducer associated with a partner

**POST** `https://www.iwoca.co.uk/api/lending/v2.2/introducers/`

For more information, see 'Create an introducer' in the documentation.

## Body
```json
{
  "data": {
    "company_id": "9169681b-0479-445a-a389-ade25591859c",
    "email": "test@example.co.uk",
    "first_name": "test",
    "last_name": "partner",
    "phone_number": "07777777777",
    "title": "mr"
  }
}
```

### Body fields
- `data` (any, required)
- `data.company_id` (string) — The uuid of the company where the new introducer should be assigned, not required for most integrations.
- `data.email` (string, required) — This email address must be unique for each introducer. This email address will be used to login to the iwoca introducer portal and to send referral information emails to the broker.
- `data.first_name` (string, required) — Middle name is not required.
- `data.last_name` (string, required)
- `data.phone_number` (string)
- `data.title` (string)

## Responses
### 201 — success
```json
{
  "data": {
    "introducer_id": "00000000-0000-0000-0000-000000000000"
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 409 — Conflict
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl https://www.iwoca.co.uk/api/lending/v2.2/introducers/ \
  --request POST \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {
    "company_id": "9169681b-0479-445a-a389-ade25591859c",
    "email": "test@example.co.uk",
    "first_name": "test",
    "last_name": "partner",
    "phone_number": "07777777777",
    "title": "mr"
  }
}'
```